com.microfocus.zos.model

## Interface IJobFacility

- Deprecated.
  Use `IJobFacility2` instead.

      @Deprecated
      public interface IJobFacility

  Interface for a job facility containing the most important methods for accessing jobs from the z/OS JES.
  Author:
    Micro Focus

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `cancelJob(ISystemImage pImg, java.lang.String pJobId)` Deprecated. Cancels a running job.
    `java.io.InputStream` | `getJobContents(ISystemImage pImg, java.lang.String pJobId)` Deprecated. Returns the output of a job.
    `java.io.InputStream` | `getJobContents(ISystemImage pImg, java.lang.String pJobId, java.lang.String pDDName, java.lang.String pJobPartDsn)` Deprecated. Returns the output of a job part.
    `java.util.List<IJobPart>` | `getJobDDs(ISystemImage pImg, IJob pJob)` Deprecated. Obtains a list of `IJobPart`s for the given job ID.
    `java.util.List<IJob>` | `getJobs(ISystemImage pImg, java.lang.String pJobNameFilter, java.lang.String pOwner)` Deprecated. Returns all jobs that match the given filter criteria.
    `java.util.List<IJob>` | `getJobsByJobID(ISystemImage pImg, java.lang.String pJobIDFilter, java.lang.String pOwner)` Deprecated. Returns all jobs that match the given filter criteria.
    `java.lang.String` | `purgeJob(ISystemImage pImg, java.lang.String pJobId)` Deprecated. Purges a job on the mainframe.
    `java.lang.String` | `submitJob(ISystemImage pImg, java.io.InputStream pIs, org.eclipse.core.runtime.IProgressMonitor pMon)` Deprecated. Submits a Job from the given input stream.
    `java.lang.String` | `submitJob(ISystemImage pImg, java.lang.String pMember, java.lang.String pDataset)` Deprecated. Submits a job from a data set or member.

- - ### Method Detail

    - #### submitJob

          java.lang.String submitJob(ISystemImage pImg,
                                     java.lang.String pMember,
                                     java.lang.String pDataset)
                              throws java.lang.Exception

      Deprecated.
      Submits a job from a data set or member.
      Parameters:
        `pImg` - an `ISystemImage`
        `pMember` - can be `null` (for sequential data sets)
        `pDataset` - a data set name
      Returns:
        a user-readable server message
      Throws:
        `java.lang.Exception` - if an Exception occurs during sending the command

    - #### getJobs

          java.util.List<IJob> getJobs(ISystemImage pImg,
                                       java.lang.String pJobNameFilter,
                                       java.lang.String pOwner)
                                throws java.lang.Exception

      Deprecated.
      Returns all jobs that match the given filter criteria.
      Parameters:
        `pImg` - an `ISystemImage`
        `pJobNameFilter` - 1-8 characters, `*` and `?` allowed
        `pOwner` - 1-8 characters, `*` and `?` allowed
      Returns:
        a list of `IJob`s (can be empty)
      Throws:
        `java.lang.Exception` - if an Exception occurs during sending the command or parsing the response

    - #### getJobsByJobID

          java.util.List<IJob> getJobsByJobID(ISystemImage pImg,
                                              java.lang.String pJobIDFilter,
                                              java.lang.String pOwner)
                                       throws java.lang.Exception

      Deprecated.
      Returns all jobs that match the given filter criteria.
      Parameters:
        `pImg` - an `ISystemImage`
        `pJobIDFilter` - 1-8 characters, `*` and `?` allowed
        `pOwner` - 1-8 characters, `*` and `?` allowed
      Returns:
        a list of `IJob`s (can be empty)
      Throws:
        `java.lang.Exception` - if an Exception occurs during sending the command or parsing the response

    - #### getJobContents

          java.io.InputStream getJobContents(ISystemImage pImg,
                                             java.lang.String pJobId,
                                             java.lang.String pDDName,
                                             java.lang.String pJobPartDsn)
                                      throws java.lang.Exception

      Deprecated.
      Returns the output of a job part.
      Parameters:
        `pImg` - an `ISystemImage`
        `pJobId` - the ID of an existing job
        `pDDName` - the DDName (job part name) of the desired job part
        `pJobPartDsn` - the DSN of the desired job part. Optional, if a unique DDName is given
      Returns:
        the contents of the specified job part
      Throws:
        `java.lang.Exception` - if an Exception occurs during sending the command or parsing the response
      See Also:
        `getJobContents(ISystemImage,String)`

    - #### getJobContents

          java.io.InputStream getJobContents(ISystemImage pImg,
                                             java.lang.String pJobId)
                                      throws java.lang.Exception

      Deprecated.
      Returns the output of a job.
      Parameters:
        `pImg` - an `ISystemImage`
        `pJobId` - the ID of an existing job
      Returns:
        the contents of the job with the given job ID
      Throws:
        `java.lang.Exception` - if an Exception occurs during sending the command or parsing the response

    - #### cancelJob

          java.lang.String cancelJob(ISystemImage pImg,
                                     java.lang.String pJobId)
                              throws java.lang.Exception

      Deprecated.
      Cancels a running job.
      Parameters:
        `pImg` - an `ISystemImage`
        `pJobId` - the ID of a running job
      Returns:
        a user-readable message or `null` if the server doesn't return any message
      Throws:
        `java.lang.Exception` - if an Exception occurs during sending the command or parsing the response

    - #### purgeJob

          java.lang.String purgeJob(ISystemImage pImg,
                                    java.lang.String pJobId)
                             throws java.io.IOException

      Deprecated.
      Purges a job on the mainframe.
      Parameters:
        `pImg` - an `ISystemImage`
        `pJobId` - the ID of the job to purge
      Returns:
        a user-readable message or `null` if the server does not return any message
      Throws:
        `java.io.IOException` - if any unexpected exception occurs

    - #### getJobDDs

          java.util.List<IJobPart> getJobDDs(ISystemImage pImg,
                                             IJob pJob)
                                      throws java.lang.Exception

      Deprecated.
      Obtains a list of `IJobPart`s for the given job ID.
      Parameters:
        `pImg` - an `ISystemImage`
        `pJob` - the existing job
      Returns:
        a list of `IJobPart`s (can be empty)
      Throws:
        `java.lang.Exception` - if an Exception occurs during sending the command or parsing the response

    - #### submitJob

          java.lang.String submitJob(ISystemImage pImg,
                                     java.io.InputStream pIs,
                                     org.eclipse.core.runtime.IProgressMonitor pMon)
                              throws java.lang.Exception

      Deprecated.
      Submits a Job from the given input stream.
      Parameters:
        `pImg` - The `ISystemImage`
        `pIs` - the input stream, containing the JCL
        `pMon` - an IProgressmonitor
      Returns:
        a user-readable server message
      Throws:
        `java.lang.Exception` - if an Exception occurs during sending the command

Copyright © 2015 Micro Focus GmbH. All rights reserved.